using AutoMapper;
using ConstructorApp.DtoLayer.HomeBannerDto;
using ConstructorApp.EntityLayer.Entities;

namespace ConstructorAppApi.Mapping
{
    public class HomeBannerMapping : Profile
    {
        public HomeBannerMapping()
        {
            CreateMap<HomeBanner, ResultHomeBannerDto>().ReverseMap();
            CreateMap<HomeBanner, GetHomeBannerDto>().ReverseMap();
            CreateMap<HomeBanner, CreateHomeBannerDto>().ReverseMap();
            CreateMap<HomeBanner, UpdateHomeBannerDto>().ReverseMap();
        }
    }
}
